1. Conversion
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
        POST
      • Barcode to SKU
        POST
      • ASIN to Barcode
        POST
      • SKU to Barcode
        POST
      • Barcode to ASIN
        POST
    • Watch
      • Set Product Watch
      • Get All Product Watches
      • Get Specific Product Watch
      • Get Specific Product Watch from Metadata
      • Edit Product Watch
      • Delete Product Watch
      • Get Single Product Watch Notification History
      • Get Product Watch Notification History via Metadata
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Conversion

URL to Barcode

POST
/v1/tools/convert/url-to-barcode

Request

Header Params

Body Params application/json

Example
{
  "data": [
    "https://www.cabelas.com/shop/en/jbl-by-harman-charge-5-waterproof-speaker-with-partyboost",
    "https://www.abt.com/JBL-Charge-5-Black-Portable-Waterproof-Speaker-With-Powerbank-JBLCHARGE5BLKAM/p/159497.html"
  ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/tools/convert/url-to-barcode' \
--header 'Accept-Encoding: application/json' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "data": [
    "https://www.cabelas.com/shop/en/jbl-by-harman-charge-5-waterproof-speaker-with-partyboost",
    "https://www.abt.com/JBL-Charge-5-Black-Portable-Waterproof-Speaker-With-Powerbank-JBLCHARGE5BLKAM/p/159497.html"
  ]
}'

Responses

🟢200Success
application/json
Body

Example
{
    "meta": {
        "from": "url",
        "to": "barcode",
        "from_total": 2,
        "to_total": 2,
        "trace_id": "0192e7dc-209a-7169-9c4f-5e9a298d3e76"
    },
    "data": {
        "https://www.cabelas.com/shop/en/jbl-by-harman-charge-5-waterproof-speaker-with-partyboost": [
            "50036380232"
        ],
        "https://www.abt.com/JBL-Charge-5-Black-Portable-Waterproof-Speaker-With-Powerbank-JBLCHARGE5BLKAM/p/159497.html": [
            "50036380218"
        ]
    }
}
🟠429Rate Limit Exceeded
🟠422Parameter Error
Modified at 2025-02-27 15:46:37
Previous
Conversion
Next
Barcode to SKU